
main()
{
	// tracers
	if(level.ex_tracers) for(i = 0; i < level.ex_tracers; i++) level thread tracers();

	// flak fx
	if(level.ex_flakfx && !level.ex_planes_flak) for(flak=0;flak<level.ex_flakfx;flak++) level thread flakfx();
}

tracers()
{
	level endon("ex_gameover");

	ix = 0;
	iy = 0;
	iz = 0;

	wait( [[level.ex_fpstime]](randomInt(20) + 5) );

	while(!level.ex_gameover)
	{
		delay = level.ex_tracersdelaymin + randomint(level.ex_tracersdelaymax - level.ex_tracersdelaymin);
		if(level.ex_flakison) delay = randomInt(2) + 1;
		wait( [[level.ex_fpstime]](delay) );

		iSide = randomInt(4);
		switch (iSide)
		{
			case 0:
				ix = game["mapArea_Min"][0];
				iy = game["mapArea_Min"][1] + randomInt(int(game["mapArea_Max"][1] - game["mapArea_Min"][1]));
				break;
			case 1:
				ix = game["mapArea_Max"][0];
				iy = game["mapArea_Min"][1] + randomInt(int(game["mapArea_Max"][1] - game["mapArea_Min"][1]));
				break;
			case 2:
				ix = game["mapArea_Min"][0] + randomInt(int(game["mapArea_Max"][0] - game["mapArea_Min"][0]));
				iy = game["mapArea_Min"][1];
				break;
			case 3:
				ix = game["mapArea_Min"][0] + randomInt(int(game["mapArea_Max"][0] - game["mapArea_Min"][0]));
				iy = game["mapArea_Max"][1];
				break;
		}
			
		//set the height as the spawnpoint level - 100
		spawnpoints = getentarray("mp_dm_spawn", "classname");
		if(!spawnpoints.size) spawnpoints = getentarray("mp_tdm_spawn", "classname");
		if(!spawnpoints.size) spawnpoints = getentarray("mp_ctf_spawn_allied", "classname");
		if(!spawnpoints.size) spawnpoints = getentarray("mp_ctf_spawn_axis", "classname");
		if(!spawnpoints.size) spawnpoints = getentarray("mp_sd_spawn_attacker", "classname");
		if(!spawnpoints.size) spawnpoints = getentarray("mp_sd_spawn_defender", "classname");
		if(!spawnpoints.size) return;
		iz = spawnpoints[0].origin[2] - 100;

		pos = (ix, iy, iz);

		if(level.ex_tracers_sound)
		{
			tracer = spawn( "script_model", pos);
			wait( [[level.ex_fpstime]](0.05) );
			tracer playSound("tracer_fire");
			wait( [[level.ex_fpstime]](0.5) );
			playfx(level.ex_effect["tracer"], pos);
			wait( [[level.ex_fpstime]](3) );
			tracer delete();
		}
		else playfx(level.ex_effect["tracer"], pos);
	}
}

flakfx()
{
	level endon("ex_gameover");
	level endon("stop_flak");
	level.ex_flakison = true;

	while(level.ex_flakison)
	{
		// wait a random delay
		delay = level.ex_flakfxdelaymin + randomint(level.ex_flakfxdelaymax - level.ex_flakfxdelaymin);
		wait( [[level.ex_fpstime]](delay) );

		if(!level.ex_flakfx)
		{
			if(!level.ex_axisapinsky && !level.ex_allieapinsky && !level.ex_paxisapinsky && !level.ex_pallieapinsky)
				level.ex_flakison = false;
		}
	
		// spawn object that is used to play sound
		flak = spawn ( "script_model", ( 0, 0, 0) );

		//get a random position
		xpos = game["playArea_Min"][0] + randomInt(game["playArea_Width"]);
		ypos = game["playArea_Min"][1] + randomInt(game["playArea_Length"]);
		zpos = game["mapArea_Max"][2] - 200;

		position = ( xpos, ypos, zpos);

		flak.origin = position;
		wait( [[level.ex_fpstime]](0.05) );
		
		// play effect
		flak playsound("flak_explosion");

		playfx(level.ex_effect["flak_flash"], position);
		wait( [[level.ex_fpstime]](0.25) );
		playfx(level.ex_effect["flak_smoke"], position);
		wait( [[level.ex_fpstime]](0.25) );
		playfx(level.ex_effect["flak_dust"], position);
		wait( [[level.ex_fpstime]](0.25) );

		flak delete();
	}
}
