
main()
{
	thread removeEntities();
}

removeEntities()
{
	level endon("ex_gameover");

	if(level.ex_entities_debug)
	{
		setCvar("g_listEntity", 1);
		wait( [[level.ex_fpstime]](5) );
		//level thread dumpMapEntities();
	}

	//waitForPlayer("bot9");
	removeSpawnPoints();

	if(level.ex_entities_debug)
	{
		setCvar("g_listEntity", 1);
		wait( [[level.ex_fpstime]](5) );
		level thread dumpMapEntities();
		level thread ShowEntitiesOnHUD();
	}
}

waitForPlayer(player)
{
	player_found = false;
	search_time = 0;
	search_timeout = 120;

	logprint("ENTITIES: waiting for player \"" + player + "\"\n");

	while(!player_found && search_time < search_timeout)
	{
		players = getentarray("player", "classname");
		for(i = 0; i < players.size; i++)
		{
			if(players[i].name == player)
			{
				player_found = true;
				break;
			}
		}

		search_time++;
		wait( [[level.ex_fpstime]](1) );
	}

	if(!player_found) logprint("ENTITIES: search time exceeded. Player \"" + player + "\" not found!\n");
}

removeSpawnPoints()
{
	sp_entities = [];
	sp_entities[0]  = "mp_dm_spawn";
	sp_entities[1]  = "mp_tdm_spawn";
	sp_entities[2]  = "mp_ctf_spawn_allied";
	sp_entities[3]  = "mp_ctf_spawn_axis";
	sp_entities[4]  = "mp_sd_spawn_attacker";
	sp_entities[5]  = "mp_sd_spawn_defender";
	sp_entities[6]  = "mp_lib_spawn_alliesnonjail";
	sp_entities[7]  = "mp_lib_spawn_axisnonjail";
	sp_entities[8]  = "mp_lib_spawn_alliesinjail";
	sp_entities[9]  = "mp_lib_spawn_axisinjail";
	sp_entities[10] = "mp_tkoth_spawn_allied";
	sp_entities[11] = "mp_tkoth_spawn_axis";

	sp_entities_keep = [];

	switch(level.ex_currentgt)
	{
		case "chq":
		case "cnq":
		case "hq":
		case "htf":
		case "lts":
		case "rbcnq":
		case "tdm":
		case "vip":
			sp_entities_keep[sp_entities_keep.size] = "mp_tdm_spawn";
			break;
		case "ctf":
		case "rbctf":
			sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_allied";
			sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_axis";
			break;
		case "ctfb":
			sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_allied";
			sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_axis";
			if(level.random_flag_position) sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn"; // random flag position
			break;
		case "dm":
		case "hm":
		case "lms":
			sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn";
			break;
		case "dom":
		case "ons":
			if(isDefined(level.spawntype))
			{
				switch(level.spawntype)
				{
					case "tdm":
						sp_entities_keep[sp_entities_keep.size] = "mp_tdm_spawn";
						if(!level.use_static_flags) sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn"; // dynamic flags
						break;
					case "sd":
						sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_attacker";
						sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_defender";
						if(!level.use_static_flags) sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn"; // dynamic flags
						break;
					case "ctf":
						sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_allied";
						sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_axis";
						if(!level.use_static_flags) sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn"; // dynamic flags
						break;
					default:
						sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn";
						break;
				}
			}
			else sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn";
			break;
		case "esd":
		case "sd":
			sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_attacker";
			sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_defender";
			break;
		case "ihtf":
			// level.playerspawnpoints
			// level.flagspawnpoints
			// level.ctfflagspos
			// level.sdbombzonepos
			return;
		case "lib":
			sp_entities_keep[sp_entities_keep.size] = "mp_lib_spawn_alliesnonjail";
			sp_entities_keep[sp_entities_keep.size] = "mp_lib_spawn_axisnonjail";
			sp_entities_keep[sp_entities_keep.size] = "mp_lib_spawn_alliesinjail";
			sp_entities_keep[sp_entities_keep.size] = "mp_lib_spawn_axisinjail";
			break;
		case "tkoth":
			if(isDefined(level.spawn))
			{
				switch(level.spawn)
				{
					case "tkoth":
						sp_entities_keep[sp_entities_keep.size] = "mp_tkoth_spawn_allied";
						sp_entities_keep[sp_entities_keep.size] = "mp_tkoth_spawn_axis";
						break;
					case "sd":
						sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_attacker";
						sp_entities_keep[sp_entities_keep.size] = "mp_sd_spawn_defender";
						break;
					case "ctf":
						sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_allied";
						sp_entities_keep[sp_entities_keep.size] = "mp_ctf_spawn_axis";
						break;
				}
			}
			else return;
			break;
		default:
			return;
	}

	// If tracers are enabled, keep DM spawnpoints
	if(level.ex_tracers)
		sp_entities_keep[sp_entities_keep.size] = "mp_dm_spawn";

	// If ammo crates are enabled, keep TDM spawnpoints
	if(level.ex_amc_perteam)
		sp_entities_keep[sp_entities_keep.size] = "mp_tdm_spawn";

	for(i = 0; i < sp_entities.size; i++)
	{
		sp_remove = true;

		for(j = 0; j < sp_entities_keep.size; j++)
			if(sp_entities[i] == sp_entities_keep[j]) sp_remove = false;

		if(sp_remove) removeSpawnPointEntities(sp_entities[i]);
	}
}

removeSpawnPointEntities(entity)
{
	entities = getentarray(entity, "classname");

	if(!entities.size) return;

	for(i = 0; i < entities.size; i++)
		entities[i] delete();
}

showEntitiesOnHUD()
{
	level thread monitorGameOver();

	while(level.ex_entities_debug)
	{
		wait( [[level.ex_fpstime]](2) );

		entities = getentarray("script_origin", "classname");

		if(!isDefined(level.ex_entitiesDebugHUD))
		{
			level.ex_entitiesDebugHUD = newHudElem();
			level.ex_entitiesDebugHUD.archived = false;
			level.ex_entitiesDebugHUD.horzAlign = "fullscreen";
			level.ex_entitiesDebugHUD.vertAlign = "fullscreen";
			level.ex_entitiesDebugHUD.alignX = "center";
			level.ex_entitiesDebugHUD.alignY = "top";
			level.ex_entitiesDebugHUD.x = 320;
			level.ex_entitiesDebugHUD.y = 10;
			level.ex_entitiesDebugHUD.fontscale = 2.0;
			level.ex_entitiesDebugHUD.color = (1, 0, 0);
		}
		level.ex_entitiesDebugHUD setValue(entities.size);
	}

	if(isDefined(level.ex_entitiesDebugHUD)) level.ex_entitiesDebugHUD destroy();
}

monitorGameOver()
{
	level waittill("ex_gameover");
	level.ex_entities_debug = false;
}

dumpMapEntities()
{
	level endon("ex_gameover");

	entities_array = [];

	entities = getentarray();
	for(i = 0; i < entities.size; i++)
	{
		entity = entities[i];

		if(isDefined(entity))
		{
			entity_no = entity getentitynumber();

			array_index = entities_array.size;
			entities_array[array_index] = spawnstruct();
			entities_array[array_index].entity_no = entity_no;
			if(isPlayer(entity))
			{
				entities_array[array_index].name = entity.name;
				entities_array[array_index].classname = "player";
				entities_array[array_index].targetname = "";
				entities_array[array_index].script_gameobjectname = "";
			}
			else
			{
				entities_array[array_index].name = "";
				if(isDefined(entity.classname)) entities_array[array_index].classname = entity.classname;
					else entities_array[array_index].classname = "";
				if(isDefined(entity.targetname)) entities_array[array_index].targetname = entity.targetname;
					else entities_array[array_index].targetname = "";
				if(isDefined(entity.script_gameobjectname)) entities_array[array_index].script_gameobjectname = entity.script_gameobjectname;
					else entities_array[array_index].script_gameobjectname = "";
			}

			if(isDefined(entity.origin)) entities_array[array_index].origin = entity.origin;
				else entities_array[array_index].origin = undefined;
		}
	}

	logprint("entities_array holds " + entities_array.size + " records (highest entity_no = " + entities_array[entities_array.size-1].entity_no + ")\n");

	array_index = 0;
	for(i = 0; i < 1024; i++)
	{
		if(i <= entities_array[entities_array.size-1].entity_no)
		{
			if(i == entities_array[array_index].entity_no)
			{
				string_out = "";
				spacer_out = false;

				if(entities_array[array_index].classname != "")
				{
					string_out += "classname: " + entities_array[array_index].classname;
					spacer_out = true;
				}

				if(entities_array[array_index].name != "")
				{
					if(spacer_out) string_out += ", ";
					string_out += "name: " + entities_array[array_index].name;
					spacer_out = true;
				}

				if(entities_array[array_index].targetname != "")
				{
					if(spacer_out) string_out += ", ";
					string_out += "targetname: " + entities_array[array_index].targetname;
					spacer_out = true;
				}

				if(entities_array[array_index].script_gameobjectname != "")
				{
					if(spacer_out) string_out += ", ";
					string_out += "script_gameobjectname: " + entities_array[array_index].script_gameobjectname;
					spacer_out = true;
				}

				if(isDefined(entities_array[array_index].origin))
				{
					if(spacer_out) string_out += ", ";
					string_out += "origin: " + entities_array[array_index].origin;
				}

				if(string_out != "") logprint("[" + entities_array[array_index].entity_no + "] " + string_out + "\n");
					else logprint("[" + entities_array[array_index].entity_no + "] (unknown)\n");

				array_index++;
			}
			else logprint("[" + i + "] (null)\n");
		}
		else logprint("[" + i + "] > (null)\n");
	}
}
